# d4m13n.dev

Welcome to my personal website! This site showcases my software and game development projects, as well as my resume and contact information.

## Technologies Used

*   Next.js
*   Material UI (MUI)
*   TypeScript
*   React
*   @casl/ability
*   @emotion/react
*   @emotion/styled
*   @fontsource/roboto
*   @mui/icons-material
*   argon2
*   better-sqlite3
*   drizzle-orm
*   next-auth
*   pino
*   zod

## Projects

### Software Development

*   **Meilisearch.NET:** A .NET extension for Meilisearch that enables embedding the Meilisearch server and Ollama AI Server in your application. It also provides functionality for compressing and decompressing indexes.
    *   [Gitea Source](https://git.d4m13n.dev/damien/meilisearch.NET)
    *   [Gitea Package](https://git.d4m13n.dev/damien/-/packages/nuget/meilisearch.net/)
*   **Folder Tree [WIP]:** A tool to help users visualize and understand their storage usage, with features for duplicate file reporting and automated file management.
    *   [Gitea Source](https://git.d4m13n.dev/damien/file-tree)
    *   [Gitea Release](https://git.d4m13n.dev/damien/file-tree/releases)
*   **Art Comissions SAS Application:** A SAS solution providing a platform for artists to sell their artwork.
    *   [Backend Gitea Source](https://git.d4m13n.dev/damien/comissions-app-core-api)
    *   [Frontend Gitea Source](https://git.d4m13n.dev/damien/comissions-app-ui)
    *   [ArgoCD Deployment Gitea Source](https://git.d4m13n.dev/damien/comissions-app-argocd)
    *   [Demo](https://comissions-app-demo.d4m13n.dev/)

### Game Development

*   **Godot Grid Inventory [WIP]:** A Resident Evil/Tarkov-style inventory system for Godot 4.2.1.
    *   [Gitea Source](https://git.d4m13n.dev/damien/godot_grid_inventory)
*   **Godot CI/CD Template:** A template repository for Godot CI/CD that automatically builds and publishes your game for Windows, Mac, and Linux.
    *   [Gitea Source](https://git.d4m13n.dev/damien/godot_template)

## Getting Started

First, run the development server:

```bash
npm run dev
# or
yarn dev
# or
pnpm dev
# or
bun dev
```

Open [http://localhost:3000](http://localhost:3000) with your browser to see the result.

You can start editing the page by modifying `src/app/page.tsx`. The page auto-updates as you edit the file.

## Learn More

To learn more about Next.js, take a look at the following resources:

*   [Next.js Documentation](https://nextjs.org/docs) - learn about Next.js features and API.
*   [Learn Next.js](https://nextjs.org/learn) - an interactive Next.js tutorial.

You can check out [the Next.js GitHub repository](https://github.com/vercel/next.js/) - your feedback and contributions are welcome!

## Deploy on Vercel

The easiest way to deploy your Next.js app is to use the [Vercel Platform](https://vercel.com/new?utm_medium=default-template&filter=next.js&utm_source=create-next-app&utm_campaign=create-next-app-readme) from the creators of Next.js.

Check out our [Next.js deployment documentation](https://nextjs.org/docs/deployment) for more details.
