import React, { useState } from 'react';
import { Box, IconButton, Drawer } from '@mui/material';
import ChatIcon from '@mui/icons-material/Chat';
import CloseIcon from '@mui/icons-material/Close';

const FloatingChatIcon: React.FC = () => {
    const [isOpen, setIsOpen] = useState(false);
    const toggleDrawer = () => {
        setIsOpen(!isOpen);
    }
    
    return (
        <>      
            <Box sx={{ position: 'fixed', bottom: 16, right: 16, zIndex: 1000 }} >       
                <IconButton 
                    onClick={toggleDrawer} 
                    sx={{ 
                        backgroundColor: 'transparent',
                        color: '#4fd1ff',
                        textShadow: '0 0 10px rgba(79, 209, 255, 0.15), 0 0 20px rgba(79, 209, 255, 0.1)',
                        filter: 'drop-shadow(0 2px 4px rgba(0, 0, 0, 0.25))',
                        transition: 'all 0.3s ease-in-out',
                        padding: '16px', // Increased padding around the icon
                        '&:hover': {
                            backgroundColor: 'transparent',
                            color: '#4fd1ff',
                            textShadow: '0 0 15px rgba(79, 209, 255, 0.3), 0 0 30px rgba(79, 209, 255, 0.2)',
                            transform: 'scale(1.1)',
                        },
                        '& .MuiSvgIcon-root': {
                            fontSize: '4rem', // Makes the icon 4x larger
                        },
                    }}
                >         
                    <ChatIcon />
                </IconButton>      
            </Box>
            <Drawer anchor="right" open={isOpen} onClose={toggleDrawer} >       
                <Box sx={{ width: '100%', p: 2, display: 'flex', flexDirection: 'column', alignItems: 'flex-end' }} >
                    <IconButton onClick={toggleDrawer}>            
                        <CloseIcon />
                    </IconButton>     
                </Box>     
            </Drawer>
        </>
    );
};

export default FloatingChatIcon;





