import { TimelineItemData } from '@/components/Timeline/types';

// Timeline data representing career/project milestones
const timelineData: TimelineItemData[] = [
  {
    id: 'timeline-1',
    date: 'Now',
    title: 'Software Engineer',
    description: 'Developed and maintained new features for data securitry application made with .NET Framework microservices, Java Spring microservices, and with an NextJS front end. Led the migration to .NET 6, implementing Dependency Injection. Refactored the application for containerization and established CI/CD pipelines using GitHub Actions and ArgoCD. Managed AWS resources, including EKS and EC2. Automated the SDK for the solution’s API and streamlined the NuGet package ecosystem. Created plugins for the WHMCS platform. Wrote all documentation public and internal facing for the solution. Worked with Apache services such as SOLR and other self hosted services and scaling them in Kubernetes.',
    items: [
      {
        id: 'masonry-1-1',
        type: 'text',
        content: 'Skills: .NET Framework, .NET 6, Angular, Microservices, CI/CD, GitHub Actions, ArgoCD, AWS (EKS, EC2), Kubernetes, Helm, WHMCS, Apache Services',
        width: 100
      },
    ]
  },
  {
    id: 'timeline-2',
    date: '2021',
    title: 'Full Stack Developer',
    description: 'Developed a prototype and MVP for a small startup. Was responsible for working with people from all around the world on a extremely tight budget with limited time availbility for everyone. The solution ran several registry edit scripts along with other known fixes to inscrease FPS while gaming and generally lower load on your PC. On average we saw a 35% increase in FPS and around 300,000 users in the Discord by the time I left. The application consisted of a web application and a desktop application with a custom URL protocol to send commands when needed.',
    items: [
      {
        id: 'masonry-2-1',
        type: 'text',
        content: 'Skills: .NET, React, NextJS, Github Actions, CI/CD, Obfuscation, WPF',
        width: 100
      },
    ]
  },
  {
    id: 'timeline-2.5',
    date: '2020',
    title: 'Advanced Platform Developer',
    description: 'Developed and maintained widely-used WordPress plugins, writing PHP code, addressing bugs, deploying features, and managing releases. Built new software interfaces and API gateways, along with some new features on top of an existing Digital Rights Management (DRM) system built with legacy .NET technologies. Developed and supported a microservices-based data discovery and classification solution with a Angular + JQuery frontend. Authored development blogs and interviewed fellow developers to highlight their work, insights, and technical contributions.',
    items: [
      {
        id: 'masonry-2-1',
        type: 'text',
        content: 'Skills: WordPress, PHP, .NET Core 3.1, Bootstrap, JQuery, Azure, Microservices, .NET Framework, MSSQL, Entity Framework ORM',
        width: 100
      },
    ]
  },
  {
    id: 'timeline-3',
    date: '2019',
    title: 'Full Stack .NET Developer',
    description: 'Developed code first applications utilizing the MVC design pattern with the .Net framework. Handled and managed SQL server, and managed azure services. Created front end for the applications using JQuery, Javascript, CSS3, HTML5, and Bootstrap. Helped teach other students during the program due to having prior experience. Worked on several portfolio projects.',
    items: [
      {
        id: 'masonry-3-1',
        type: 'text',
        content: 'Skills: .NET Framework, MVC, SQL Server, Azure, JQuery, Javascript, CSS3, HTML5, Bootstrap',
        width: 100
      },
    ]
  },
  {
    id: 'timeline-4',
    date: '2019',
    title: 'Certified Technician',
    description: 'Repaired and replaced hardware within computer and mobile devices. Ensured customer satisfaction while meeting demanding deadlines.',
    items: [
      {
        id: 'masonry-4-1',
        type: 'text',
        content: 'Skills: Hardware Repair, Customer Service',
        width: 100
      },
    ]
  },
  {
    id: 'timeline-5',
    date: '2017',
    title: 'Game Developer',
    description: 'Worked on a variety of game prototypes and mechanic systems for clients, primarily using Unity3D with C# and .NET. Collaborated closely with artists to integrate visual assets. Used Unreal Engine with blueprints for similar game development tasks. Set up CI/CD pipelines for many projects, streamlining builds and deployments. Integrated numerous third-party systems from the Unity3D asset store. Independently tracked hours and managed multiple engines and technologies while ensuring smooth communication and delivery to clients.',
    items: [
      {
        id: 'masonry-5-1',
        type: 'text',
        content: 'Skills: Unity3D, C#, .NET, Unreal Engine, Blueprints, CI/CD',
        width: 100
      },
    ]
  },
  {
    id: 'timeline-6',
    date: '2014',
    title: 'Hacks & Game Mod Developer',
    description: 'When I was growing up I spent quiet a bit of time making game modifications for games such as Multi Theft Auto : San Andreas, Garys Mod, Arma 3, GTA 5, GTA 4, and many more. This is what got me interested in development and got my career started as I was selling modifications and managing my own businesses.',
    items: [
      {
        id: 'masonry-5-1',
        type: 'text',
        content: 'Skills: Unity3D, C#, .NET, Unreal Engine, Blueprints, CI/CD',
        width: 100
      },
    ]
  }
];

export default timelineData;